Subject: Re: [RFC/PATCHv3 4/5] gitweb: Starting work on a man page for /etc/gitweb.conf (WIP)

From: Jakub Narebski <[email-masked]>
Date: Fri, 10 Jun 2011 19:16:47 +0200

On Tue, 7 Jun 2011, Drew Northup wrote:
> On Mon, 2011-06-06 at 17:12 -0500, Jonathan Nieder wrote:
> > Jakub Narebski wrote:
> 
> 
> > > +SYNOPSIS
> > > +--------
> > > +[verse]
> > > +'/etc/gitweb.conf'
> > > +'$GITWEBDIR/gitweb_config.perl'
> > 
> > Micronit: a single line like
> > 
> > 	SYNOPSIS
> > 	--------
> > 	$GITWEBDIR/gitweb_config.perl, /etc/gitweb.conf
> > 
> > might fit better with the pattern established by gitattributes(5) and
> > its kin.
> 
> I thought that's how I had originally put it.

I am very sorry.  The fault is all mine, not Drew.  This is my (wrong)
change.

When working on gitweb.txt manpage, and actually moving contents from
gitweb's README and INSTALL, I have also changed this patch to also
remove duplicated contents.  And I couldn't resist the temptation
to bring further changes... though I should have probably left those
for a separate commit, if still claiming this as of Drew's authorship.

[...]

> > Stopping here.  Will resume later but since having something is better
> > than nothing, I am tempted to say this should be applied e.g. to
> > "next" so people can start using it right away and finding/fixing
> > documentation bugs.
> 
> And so am I [stopping], I suppose. I have had work to do for the past
> few weeks that really caused me to NEED my weekends for things other
> than writing code and flossing documentation. Unless I am needed for
> something I'm going to just let this live or die on it's own for now, as
> I cannot keep up with this pace of patching right now. (That was in
> large part the whole point of my flagging this as WIP.)

Should I keep working on it then?

-- 
Jakub Narebski
Poland